Page MenuHomePhabricator

show arp interface <interface> does not work
Closed, ResolvedPublicBUG

Description

olof@o6-80003:~$ show arp interface eth1.1728
arp: in 16 entries no match found.
olof@o6-80003:~$ show arp | grep eth1.1728
172.18.160.227           ether   b8:af:67:7c:a2:b7   C                     eth1.1728
olof@o6-80003:~$ show version 
Version:          VyOS 1.2.2

Expected output:
Expected to see output from that specific interface.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.2
Why the issue appeared?
Will be filled on close

Event Timeline

olofl created this task.Aug 12 2019, 12:49 PM
Dmitry added a subscriber: Dmitry.Aug 12 2019, 6:18 PM

Hello @olofl , I think you need show protocols static arp interface eth1.1728 command. You also may read about ARP on https://vyos.readthedocs.io/en/latest/routing/arp.html?highlight=show%20arp

olofl added a comment.Aug 12 2019, 6:40 PM

@Dmitry, thanks for reply.

I suppose you mean to run that command in configure# mode? If thats the case, this is not a static arp entry, its a dynamic one.

And the ~$ show protocols static arp or ~$ show protocols <> commands doesn't exist under normal display mode.

olof@o6-80003:~$ show protocols

  Invalid command: show [protocols]

Yes, sorry, I was mean about new syntax for rolling release. PR for fixing issue with ARP https://github.com/vyos/vyos-1x/pull/101

syncer assigned this task to Dmitry.Aug 30 2019, 11:39 PM
syncer triaged this task as Normal priority.
dmbaturin closed this task as Resolved.Aug 31 2019, 12:02 AM
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Finished to Backlog on the VyOS 1.3 Equuleus board.